Loading...
Searching...
No Matches
ojph::pfm_out Class Reference

`#include <ojph_img_io.h>`

Inheritance diagram for ojph::pfm_out:

## Public Member Functions

| pfm_out ()
virtual | ~pfm_out ()
void | open (char *filename)
void | configure (ui32 width, ui32 height, ui32 num_components, float scale, ui32 *bit_depth)
virtual ui32 | write (const line_buf *line, ui32 comp_num)
virtual void | close ()
Public Member Functions inherited from ojph::image_out_base
virtual | ~image_out_base ()

## Private Attributes

FILE * | fh
const char * | fname
float * | buffer
size_t | buffer_size
ui32 | width
ui32 | height
ui32 | num_components
float | scale
ui32 | bit_depth [3]
ui32 | cur_line
si64 | start_of_data

## Detailed Description

Definition at line 776 of file ojph_img_io.h.

## Constructor & Destructor Documentation

## pfm_out()

ojph::pfm_out::pfm_out | ( |  | ) |

inline

Definition at line 779 of file ojph_img_io.h.

References bit_depth, buffer, buffer_size, cur_line, fh, fname, height, num_components, scale, start_of_data, and width.

## ~pfm_out()

virtual ojph::pfm_out::~pfm_out | ( |  | ) |

inline virtual

Definition at line 791 of file ojph_img_io.h.

References buffer, and close().

## Member Function Documentation

## close()

virtual void ojph::pfm_out::close | ( |  | ) |

inline virtual

Reimplemented from ojph::image_out_base.

Definition at line 802 of file ojph_img_io.h.

References fh, and fname.

Referenced by ~pfm_out().

## configure()

void ojph::pfm_out::configure | ( | ui32 | width,
|  | ui32 | height,
|  | ui32 | num_components,
|  | float | scale,
|  | ui32 * | bit_depth )

Definition at line 746 of file ojph_img_io.cpp.

References bit_depth, fh, height, num_components, OJPH_ERROR, scale, and width.

Referenced by main().

## open()

void ojph::pfm_out::open | ( | char * | filename | ) |

Definition at line 726 of file ojph_img_io.cpp.

References buffer, buffer_size, cur_line, fh, fname, height, num_components, OJPH_ERROR, ojph::ojph_ftell(), scale, start_of_data, and width.

Referenced by main().

## write()

ui32 ojph::pfm_out::write | ( | const line_buf * | line,
|  | ui32 | comp_num )

virtual

Implements ojph::image_out_base.

Definition at line 762 of file ojph_img_io.cpp.

References bit_depth, buffer, cur_line, ojph::line_buf::f32, fh, fname, height, num_components, OJPH_ERROR, ojph::ojph_fseek(), start_of_data, and width.

## Member Data Documentation

## bit_depth

ui32 ojph::pfm_out::bit_depth[3]

private

Definition at line 811 of file ojph_img_io.h.

Referenced by configure(), pfm_out(), and write().

## buffer

float* ojph::pfm_out::buffer

private

Definition at line 807 of file ojph_img_io.h.

Referenced by open(), pfm_out(), write(), and ~pfm_out().

## buffer_size

size_t ojph::pfm_out::buffer_size

private

Definition at line 808 of file ojph_img_io.h.

Referenced by open(), and pfm_out().

## cur_line

ui32 ojph::pfm_out::cur_line

private

Definition at line 812 of file ojph_img_io.h.

Referenced by open(), pfm_out(), and write().

## fh

FILE* ojph::pfm_out::fh

private

Definition at line 805 of file ojph_img_io.h.

Referenced by close(), configure(), open(), pfm_out(), and write().

## fname

const char* ojph::pfm_out::fname

private

Definition at line 806 of file ojph_img_io.h.

Referenced by close(), open(), pfm_out(), and write().

## height

ui32 ojph::pfm_out::height

private

Definition at line 809 of file ojph_img_io.h.

Referenced by configure(), open(), pfm_out(), and write().

## num_components

ui32 ojph::pfm_out::num_components

private

Definition at line 809 of file ojph_img_io.h.

Referenced by configure(), open(), pfm_out(), and write().

## scale

float ojph::pfm_out::scale

private

Definition at line 810 of file ojph_img_io.h.

Referenced by configure(), open(), and pfm_out().

## start_of_data

si64 ojph::pfm_out::start_of_data

private

Definition at line 813 of file ojph_img_io.h.

Referenced by open(), pfm_out(), and write().

## width

ui32 ojph::pfm_out::width

private

Definition at line 809 of file ojph_img_io.h.

Referenced by configure(), open(), pfm_out(), and write().

The documentation for this class was generated from the following files:

- /build/openjph-z1hyMm/openjph-0.28.1/src/apps/common/ojph_img_io.h
- /build/openjph-z1hyMm/openjph-0.28.1/src/apps/others/ojph_img_io.cpp